Commit 4a2990f8 authored by Natanael Copa's avatar Natanael Copa

main/linux-grsec: enable ppp/slip for virtgrsec

ref #6695
parent 08d5c6c4
......@@ -7,7 +7,7 @@ case $pkgver in
*.*.*) _kernver=${pkgver%.*};;
*.*) _kernver=${pkgver};;
esac
pkgrel=0
pkgrel=1
pkgdesc="Linux kernel with grsecurity"
url=http://grsecurity.net
depends="mkinitfs"
......@@ -211,8 +211,8 @@ b11c29ee88f7f537973191036d48bee7 imx6q-no-unclocked-sleep.patch
0220ccde4e102bd54ad334a23347a432 config-grsec.x86
e1b185c3baea29a66dfa8f90967c1120 config-grsec.x86_64
35d10d9444978dc8009e9da5e33b0f43 config-grsec.armhf
b8ee8bcd0b53d0d661bf9aac06150dd2 config-virtgrsec.x86
dbae20bc792107096dc33375ff0970b4 config-virtgrsec.x86_64"
9b89c4ec614023e20f8e905ec2bad212 config-virtgrsec.x86
87243f2790108ca568192169d3ca7408 config-virtgrsec.x86_64"
sha256sums="401d7c8fef594999a460d10c72c5a94e9c2e1022f16795ec51746b0d165418b2 linux-4.4.tar.xz
43e67f75f28f5c81fc63d53498a33113dbda133fa7cb83be697825f6a8ee761e patch-4.4.44.xz
430e7c6cbc3afdf5aea1b33f8ebbed370914129afae767caa26f937c49265082 grsecurity-3.1-4.4.44-201604252206-alpine.patch
......@@ -222,8 +222,8 @@ b8ce28c61663dbd92f7e1c862c042c88c4d0459ce15f6e6ea121e20705b66212 fix-spi-nor-na
8ca6e71c3b0e0013a05dd95655de733f533055bdcdaade52667789c578b9bebc config-grsec.x86
588fb21febe695a7724ec00cb1576913cdb5ad12e12d00b3a0f73342c46cfe0c config-grsec.x86_64
d975df937d5a82b48bba790bd50bf7ed04782d92755a6eeacedc9e2796633e7a config-grsec.armhf
4f31314b11df0a3881aa44f29ac87dddd36974303a0ccf919e50e1ffa971edd3 config-virtgrsec.x86
b181a9767eb44ab24457ce6b0b10be9fae7db3c3197a7c27bea1692c49c15307 config-virtgrsec.x86_64"
09e5db637018516a2216c9a45a47a471af69fdf94218e6ea016ec8261cd899d3 config-virtgrsec.x86
7b38853b6d83223242832413669d7818ef1218c6b9e565e11dcc8b08f64a26e3 config-virtgrsec.x86_64"
sha512sums="13c8459933a8b80608e226a1398e3d1848352ace84bcfb7e6a4a33cb230bbe1ab719d4b58e067283df91ce5311be6d2d595fc8c19e2ae6ecc652499415614b3e linux-4.4.tar.xz
f665eb040a717500aa6801243301a80ae4fbb4a256134d3ce73d6a84bd3240c64b544bb9c1ab241ff755af72ff9f60a576991b94506285fcd49934172c581b70 patch-4.4.44.xz
811ff5feabce101cbc02b7f57a17e98753265fe47f07caadd859f35eb4c73b814ef3b0181bdcc2264a450e9c8bce290ed5194b5d3d161edc0e791fc219b646fc grsecurity-3.1-4.4.44-201604252206-alpine.patch
......@@ -233,5 +233,5 @@ edcebc229956a05621ec1c89039b56aa61b468c74b54420ff72bd08658b65d29d6af385a7d78d1ce
2d41ef3629dc4c2b71d2bd9707ecf1883bd9a264168425d56b35bb49cfd7b0a73b154501cf54c9f9df1848f3c564e502f276985b38a1dab3a067d5485874fcc6 config-grsec.x86
c064ba25b0cb28d2f9c20da77899c6df6844b2538225011a063094c527a5ba59de5fbf619494dfb5c45fae91b637876493cc839095a9fc559d2f8cf9aa8003d3 config-grsec.x86_64
a19b8179cce90e5cfe0ee30c85c0e9fd67274290d7556a5f2cb530ba9ee5f6e941ff96f20cebbd0223f3febfe8b0e3f30c7c2696dd9184c1d3ca9dcb0eca6f4a config-grsec.armhf
c07523775446c6cac6e2c8bd740d2647cf099a4b11aae0787259ccdf667571832185781257534657039773d68a21079b25f8e32bd32797bbbffe26d82f634bcb config-virtgrsec.x86
c6f0a7c70cb1889c30dca9c44cd39061a3b8e19eee88197d64e056101f4826e6557d18b0457d83c849f9bf8e2e9fbf05c7d15291b7dbff5326d24d746e42d3f7 config-virtgrsec.x86_64"
8c92f68afcf483ce203c8117d9459c3db0363a69b2112a2f1b67474532250d1ec9350aab555e69794709a045f8bf121ded9441f0cffc018b5a38746f9b908eee config-virtgrsec.x86
eb8d9d51dcbb762c954b41fa5e4d34d0a2da2fe6bd36a009db4fbf9513d07846ecbc648108cc93c1b6029b94f8a3dc703ab1d5f601fe8a70a369a3685fcb6260 config-virtgrsec.x86_64"
#
# Automatically generated file; DO NOT EDIT.
# Linux/i386 4.4.6 Kernel Configuration
# Linux/i386 4.4.44 Kernel Configuration
#
# CONFIG_64BIT is not set
CONFIG_X86_32=y
......@@ -1798,8 +1798,22 @@ CONFIG_PHYLIB=m
# CONFIG_MDIO_BITBANG is not set
# CONFIG_MDIO_BCM_UNIMAC is not set
# CONFIG_PLIP is not set
# CONFIG_PPP is not set
# CONFIG_SLIP is not set
CONFIG_PPP=m
CONFIG_PPP_BSDCOMP=m
CONFIG_PPP_DEFLATE=m
# CONFIG_PPP_FILTER is not set
CONFIG_PPP_MPPE=m
CONFIG_PPP_MULTILINK=y
# CONFIG_PPPOE is not set
CONFIG_PPTP=m
CONFIG_PPPOL2TP=m
CONFIG_PPP_ASYNC=m
CONFIG_PPP_SYNC_TTY=m
CONFIG_SLIP=m
CONFIG_SLHC=m
CONFIG_SLIP_COMPRESSED=y
CONFIG_SLIP_SMART=y
CONFIG_SLIP_MODE_SLIP6=y
#
# Host-side USB support is needed for USB Network Adapter support
......
#
# Automatically generated file; DO NOT EDIT.
# Linux/x86 4.4.6 Kernel Configuration
# Linux/x86 4.4.44 Kernel Configuration
#
CONFIG_64BIT=y
CONFIG_X86_64=y
......@@ -1819,8 +1819,22 @@ CONFIG_PHYLIB=m
# CONFIG_MDIO_OCTEON is not set
# CONFIG_MDIO_BCM_UNIMAC is not set
# CONFIG_PLIP is not set
# CONFIG_PPP is not set
# CONFIG_SLIP is not set
CONFIG_PPP=m
CONFIG_PPP_BSDCOMP=m
CONFIG_PPP_DEFLATE=m
# CONFIG_PPP_FILTER is not set
CONFIG_PPP_MPPE=m
CONFIG_PPP_MULTILINK=y
# CONFIG_PPPOE is not set
CONFIG_PPTP=m
CONFIG_PPPOL2TP=m
CONFIG_PPP_ASYNC=m
CONFIG_PPP_SYNC_TTY=m
CONFIG_SLIP=m
CONFIG_SLHC=m
CONFIG_SLIP_COMPRESSED=y
CONFIG_SLIP_SMART=y
CONFIG_SLIP_MODE_SLIP6=y
#
# Host-side USB support is needed for USB Network Adapter support
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment